// hierdlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMyHierLB

#include "odlb.h"

class CMyHierLB : public CHListBox, public HHierBitmapHandler
{
public:
	CMyHierLB ();
	~CMyHierLB ();
	void AddBook (short type, const char*);
		// type: 0/1/2/3 - root/comp/lov/misc
	void AddCategory (short type);
	BOOL ExistCategory (short type) const;
	void DeleteCurrent ();
private:
	HHierItem* root;
	HHierItem* computerCategory;
	HHierItem* loveCategory;
	HHierItem* miscCategory;
};

/////////////////////////////////////////////////////////////////////////////
// CHierLBTestDlg dialog

class CHierLBTestDlg : public CDialog
{
// Construction
public:
	CHierLBTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CHierLBTestDlg)
	enum { IDD = IDD_HIERDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Implementation
protected:

	CMyHierLB m_List;
	
	// Generated message map functions
	//{{AFX_MSG(CHierLBTestDlg)
	afx_msg void OnAddcomputer();
	afx_msg void OnAddlove();
	afx_msg void OnAddmisc();
	afx_msg void OnComputerbooks();
	afx_msg void OnLovebooks();
	afx_msg void OnMiscbooks();
	afx_msg void OnDelete();
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
