// odlbdvw.cpp : implementation of the CDemoView class
//

#include "stdafx.h"
#include "odlbdemo.h"

#include "odlbddoc.h"
#include "odlbdvw.h"
#include "txtlbdlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDemoView

IMPLEMENT_DYNCREATE(CDemoView, CView)

BEGIN_MESSAGE_MAP(CDemoView, CView)
	//{{AFX_MSG_MAP(CDemoView)
	ON_WM_CREATE()
	ON_WM_SIZE()
	ON_COMMAND(IDC_TEXTLB, OnTextLB)
	ON_COMMAND(IDC_MCLB, OnMCLB)
	ON_COMMAND(IDC_HIERLB, OnHierLB)
	ON_COMMAND(IDC_GENODLB, OnGenODLB)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoView construction/destruction

CDemoView::CDemoView()
{
	// TODO: add construction code here
}

CDemoView::~CDemoView()
{
}

/////////////////////////////////////////////////////////////////////////////
// CDemoView drawing

void CDemoView::OnDraw(CDC* pDC)
{
	CDemoDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CDemoView diagnostics

#ifdef _DEBUG
void CDemoView::AssertValid() const
{
	CView::AssertValid();
}

void CDemoView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDemoDoc* CDemoView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDemoDoc)));
	return (CDemoDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDemoView message handlers

int CDemoView::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	m_List.Create(HLBS_STANDARD, CRect(0,0,2,2), this, 1);
		// OnSize() will take care of positioning.
	m_List.Setup(TRUE);
	m_List.FillMyBox();
	return 0;
	
}   // end of CDemoView::OnCreate().

void CDemoView::OnSize(UINT nType, int cx, int cy)
{
	CView::OnSize(nType, cx, cy);
	
	RECT rc;
	GetClientRect(&rc);
	m_List.MoveCaptionBox(&rc);

}

void CDemoView::OnTextLB()
{
	CTextLBTestDlg dlg(this);
	dlg.DoModal();
}


#include "mclbtest.h"

	class CMCLBTestDlg : public CDialog
	{
	public:
		CMCLBTestDlg (CWnd* pParent) : CDialog(IDD_TESTDLG, pParent) {}
	protected:
    	CMyMCLB m_List;
		virtual BOOL OnInitDialog ();
	};
	
	BOOL CMCLBTestDlg::OnInitDialog ()
	{
		CDialog::OnInitDialog();
		m_List.SubclassDlgItem(IDC_LIST,this);
		m_List.Setup(FALSE);
		RECT rect;
		m_List.GetWindowRect(&rect);
		ScreenToClient(&rect);
		m_List.MoveCaptionBox(&rect);
		m_List.FillMyBox();
		SetDlgItemText(IDC_COMMENT,"Lists all the employees in \"EMPLIST.DAT\"");
		return TRUE;
	}	

void CDemoView::OnMCLB()
{
	CMCLBTestDlg dlg(this);
	dlg.DoModal();
}

#include "genlbdlg.h"

void CDemoView::OnGenODLB()
{
	CGenLBTestDlg dlg(this);
	dlg.DoModal();	
}

#include "hierdlg.h"

void CDemoView::OnHierLB()
{
	CHierLBTestDlg dlg(this);
	dlg.DoModal();
}
