// ODLBDEMO.CPP

#include "odmctest.h"
#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\dialog.h>

#define DIALOG_1	1
#define IDC_LIST	101

	class TDemoDlg : public TDialog
	{public:
		TDemoDlg () : TDialog(NULL,DIALOG_1) { lb=new TMyMCLB(this,IDC_LIST); }
	protected:
		virtual void SetupWindow ();
		void ScreenToClient (TRect& rect) const;
		TMyMCLB* lb;
	};
	void TDemoDlg::SetupWindow () {
		TDialog::SetupWindow();
		// set up the multi-column listbox, its columns, caption, ... --
		lb->Setup(FALSE,IDC_LIST);
		// change the caption's frame color to read --
		lb->Caption()->colorFrame = RGB(255,0,0);
		// move the listbox with its caption to its original position --
		TRect rc;
		lb->GetWindowRect(rc);
		ScreenToClient(rc);
		lb->MoveCaptionBox(&rc);
		// load the listbox from "emplist.dat"
		lb->FillMyBox();
	}
	void TDemoDlg::ScreenToClient (TRect& rect) const {
		TPoint pt;
		pt.x = rect.left, pt.y = rect.top;
		TWindow::ScreenToClient(pt);
		rect.left = pt.x, rect.top = pt.y;
		pt.x = rect.right, pt.y = rect.bottom;
		TWindow::ScreenToClient(pt);
		rect.right = pt.x, rect.bottom = pt.y;
	}

class TMyApp : public TApplication
{public:
	TMyApp(char *title) : TApplication(title) {}
	void InitMainWindow() { SetMainWindow(new TFrameWindow(0,
			"ODLB OWL Demo -- Your Demo, My QA", new TDemoDlg, TRUE)); }
};

int OwlMain(int argc, char* argv[]) {
  return TMyApp("My App").Run();
}

